
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "fencefizz-9_9"
	actor[cp_model_dir]			= "rooms"
	actor[cp_model_name]		= "fencebit-1_1"

	actor[cp_actor_type]			= cat_ground
	actor[cp_launch_hue_shift] = pcolor

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "pulse1", 500.0, 1000.0, 0.0, 0.0 )
	c_set_random_anim( "pulse2", 100.0, 200.0, 0.0, 0.0 )
	c_set_random_anim( "pulse3", 500.0, 1000.0, 0.0, 0.0 )
